Package com.plannaplan.security

# Class AuthenticationProvider

java.lang.Object
org.springframework.security.authentication.dao.AbstractUserDetailsAuthenticationProvider
com.plannaplan.security.AuthenticationProvider

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.InitializingBean`, `org.springframework.context.MessageSourceAware`, `org.springframework.security.authentication.AuthenticationProvider`

    @Component
    public class AuthenticationProvider
    extends org.springframework.security.authentication.dao.AbstractUserDetailsAuthenticationProvider

Spring authentication provider

## Field Summary

### Fields inherited from class org.springframework.security.authentication.dao.AbstractUserDetailsAuthenticationProvider

`hideUserNotFoundExceptions, logger, messages`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`AuthenticationProvider()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`protected void` | `additionalAuthenticationChecks​(org.springframework.security.core.userdetails.UserDetails userDetails, org.springframework.security.authentication.UsernamePasswordAuthenticationToken authentication)` |
`protected org.springframework.security.core.userdetails.UserDetails` | `retrieveUser​(java.lang.String username, org.springframework.security.authentication.UsernamePasswordAuthenticationToken authentication)` |

### Methods inherited from class org.springframework.security.authentication.dao.AbstractUserDetailsAuthenticationProvider

`afterPropertiesSet, authenticate, createSuccessAuthentication, doAfterPropertiesSet, getPostAuthenticationChecks, getPreAuthenticationChecks, getUserCache, isForcePrincipalAsString, isHideUserNotFoundExceptions, setAuthoritiesMapper, setForcePrincipalAsString, setHideUserNotFoundExceptions, setMessageSource, setPostAuthenticationChecks, setPreAuthenticationChecks, setUserCache, supports`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuthenticationProvider

public AuthenticationProvider()

## Method Details

### additionalAuthenticationChecks

protected void additionalAuthenticationChecks​(org.springframework.security.core.userdetails.UserDetails userDetails, org.springframework.security.authentication.UsernamePasswordAuthenticationToken authentication) throws org.springframework.security.core.AuthenticationException

Specified by:
  `additionalAuthenticationChecks` in class `org.springframework.security.authentication.dao.AbstractUserDetailsAuthenticationProvider`
Throws:
  `org.springframework.security.core.AuthenticationException`

### retrieveUser

protected org.springframework.security.core.userdetails.UserDetails retrieveUser​(java.lang.String username, org.springframework.security.authentication.UsernamePasswordAuthenticationToken authentication) throws org.springframework.security.core.AuthenticationException

Specified by:
  `retrieveUser` in class `org.springframework.security.authentication.dao.AbstractUserDetailsAuthenticationProvider`
Throws:
  `org.springframework.security.core.AuthenticationException`